Subject: Re: constraints in MD

From: JEREMY WALTON <[email-masked]>
Date: 8 Nov 93 13:40:00 WET

> Does anybody know about a fast constraints-algorithm in connection
> with Gear's (predictor-corrector) or Verlet's (velocity verlet)
> algorithm.

It's been a while since I looked at this, but something like van Gunsteren's
and Berendsen's SHAKE algorithm has been useful in implementing bond
constraints.  It's available in the GROMOS, the complete MD package. 
References to other methods (I think) would perhaps be found in

M.P. Allen & D.J. Tildesley, "Computer Simulation of Liquids", Oxford
University Press, Oxford, 1987.

--------------------------------------------------------------------------------
|  Jeremy Walton                                   [email-masked]     |
|  The Numerical Algorithms Group Ltd, Oxford, UK  [email-masked]           |
|                                                  Tel: +44 865 511245         |
|                                                  Fax: +44 865 310139         |
--------------------------------------------------------------------------------